From: "Manuel Rüger" <mrueg@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sys-apps/etckeeper/
Date: Sat, 16 Jul 2016 22:31:45 +0000 (UTC) [thread overview]
Message-ID: <1468708288.5e6ece10d1bfd543d0435bcae5cf548adf02ab0c.mrueg@gentoo> (raw)
commit: 5e6ece10d1bfd543d0435bcae5cf548adf02ab0c
Author: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
AuthorDate: Sat Jul 16 22:31:28 2016 +0000
Commit: Manuel Rüger <mrueg <AT> gentoo <DOT> org>
CommitDate: Sat Jul 16 22:31:28 2016 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=5e6ece10
sys-apps/etckeeper: Version bump to 1.18.4
Package-Manager: portage-2.3.0
sys-apps/etckeeper/Manifest | 1 +
sys-apps/etckeeper/etckeeper-1.18.4.ebuild | 74 ++++++++++++++++++++++++++++++
2 files changed, 75 insertions(+)
diff --git a/sys-apps/etckeeper/Manifest b/sys-apps/etckeeper/Manifest
index fa9c5e3..1df06d1 100644
--- a/sys-apps/etckeeper/Manifest
+++ b/sys-apps/etckeeper/Manifest
@@ -1,2 +1,3 @@
DIST etckeeper-1.18.1.tar.gz 56366 SHA256 80adee6e17bfc41359ffb85a401d9a510ae25956950adbfdd07a0bda36d99e9b SHA512 5b5019d3f8c22ee0486c9102d7dbdc7e86921d432df49c15733e5ed23651c2be87b52e295208be691ef1e44a515d960fcf4f812eaca17f2806e2f5055222ca35 WHIRLPOOL 890b38f761f49a5a4713fa850bc18e09688ed8fb04d9b41f3727f868448fb1ba1ecf92750df777fc6011a3f88abeb8756105fbdc60ebf6fd3e693360764fb27c
DIST etckeeper-1.18.3.tar.gz 64982 SHA256 736302ee00c5a007901c60baab2dd67d419033ed1c62df3e98416e4ded8d4486 SHA512 c60ba647f15fa41e38ffb8492ce98820a53a0ce20eec9590b3098fa042b43f6f2d1c21d6143342150208e0eae48fca60efdfe9f779c973397e4035031813618c WHIRLPOOL 96181f1b5445b8f4bede9df180daafe97f40a3b8219ebd9b9fbab2cc643874d65c30c9e3b3899e3994130dc29004074de91b66de82114b7cd42bcdd1e99d068d
+DIST etckeeper-1.18.4.tar.gz 67499 SHA256 a8f28c24d2c296db861fd5f1e95e6c9aa924eed19a331487cf42687f49123600 SHA512 fa1d8eda9037be7933fd5be6ea4b5dfb77d6858ffab4ae4dad838d5c6ec066cb254c700732bfa0becd388b952b2b216bd7027cf3a67f806048e6cb3aa9c276c3 WHIRLPOOL df03d41ffbc86c94a2c1a62d50751e117ae7fe52d8551c752e2b53cae34685a3dd0f088d08ed8ac1545aeac0ec16bc3900b8e0d97c95c0da4cfb52ace7b59607
diff --git a/sys-apps/etckeeper/etckeeper-1.18.4.ebuild b/sys-apps/etckeeper/etckeeper-1.18.4.ebuild
new file mode 100644
index 0000000..4e64cf6
--- /dev/null
+++ b/sys-apps/etckeeper/etckeeper-1.18.4.ebuild
@@ -0,0 +1,74 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+PYTHON_COMPAT=( python2_7 )
+
+inherit eutils prefix python-r1
+
+DESCRIPTION="A collection of tools to let /etc be stored in a repository"
+HOMEPAGE="https://etckeeper.branchable.com/"
+SRC_URI="https://github.com/joeyh/etckeeper/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+KEYWORDS="~amd64 ~arm ~x86"
+SLOT="0"
+IUSE="bazaar cron"
+REQUIRED_USE="bazaar? ( ${PYTHON_REQUIRED_USE} )"
+
+VCS_DEPEND="dev-vcs/git
+ dev-vcs/mercurial
+ dev-vcs/darcs"
+DEPEND="bazaar? ( dev-vcs/bzr )"
+RDEPEND="${DEPEND}
+ app-portage/portage-utils
+ cron? ( virtual/cron )
+ bazaar? ( ${PYTHON_DEPS} )
+ !bazaar? ( || ( ${VCS_DEPEND} ) )"
+
+src_prepare(){
+ epatch "${FILESDIR}"/${PN}-1.18.3-gentoo.patch
+}
+
+src_compile() {
+ :
+}
+
+src_install(){
+ emake DESTDIR="${ED}" install
+
+ bzr_install() {
+ ${PYTHON} ./${PN}-bzr/__init__.py install --root="${ED}" ||
+ die "bzr support installation failed!"
+ }
+ use bazaar && python_foreach_impl bzr_install
+
+ if use prefix; then
+ doenvd "${FILESDIR}"/99${PN}
+ eprefixify "${ED%/}"/etc/env.d/99${PN}
+ fi
+
+ dodoc doc/README.mdwn
+ docinto examples
+ newdoc "${FILESDIR}"/bashrc-r1 bashrc
+
+ if use cron ; then
+ exeinto /etc/cron.daily
+ newexe debian/cron.daily etckeeper
+ fi
+}
+
+pkg_postinst(){
+ elog "${PN} supports the following VCS: ${VCS_DEPEND}"
+ elog " dev-vcs/bzr"
+ elog "This ebuild just ensures at least one is installed!"
+ elog "For dev-vcs/bzr you need to enable 'bazaar' useflag."
+ elog
+ elog "You may want to adjust your /etc/portage/bashrc"
+ elog "see the example file in /usr/share/doc/${PF}/examples"
+ elog
+ elog "To initialise your etc-dir as a repository run:"
+ elog "${PN} init -d /etc"
+}
next reply other threads:[~2016-07-16 22:37 UTC|newest]
Thread overview: 64+ messages / expand[flat|nested] mbox.gz Atom feed top
2016-07-16 22:31 Manuel Rüger [this message]
-- strict thread matches above, loose matches on Subject: below --
2025-04-14 7:11 [gentoo-commits] repo/gentoo:master commit in: sys-apps/etckeeper/ Petr Vaněk
2025-04-13 21:22 Sam James
2025-03-27 11:49 Sam James
2025-03-27 11:49 Sam James
2025-03-27 11:49 Sam James
2025-03-27 11:49 Sam James
2025-03-27 11:03 Sam James
2025-02-24 11:21 Petr Vaněk
2024-12-13 5:07 Sam James
2024-12-13 5:07 Sam James
2024-06-04 17:49 Viorel Munteanu
2024-05-19 17:49 Arthur Zamarin
2024-05-19 17:09 Sam James
2024-05-19 17:09 Sam James
2024-05-19 17:06 Arthur Zamarin
2024-05-19 17:02 Arthur Zamarin
2023-11-30 3:07 Sam James
2023-07-08 3:39 Sam James
2023-07-07 10:14 Sam James
2023-07-07 4:40 Sam James
2023-07-07 4:40 Sam James
2023-07-07 4:40 Sam James
2023-07-07 3:36 Sam James
2022-11-01 15:47 Arthur Zamarin
2022-11-01 8:44 Agostino Sarubbo
2022-11-01 8:29 Agostino Sarubbo
2022-11-01 8:28 Agostino Sarubbo
2022-11-01 8:26 Agostino Sarubbo
2022-11-01 6:51 Georgy Yakovlev
2022-10-01 5:36 Sam James
2022-06-05 23:03 Conrad Kostecki
2022-05-20 4:01 Georgy Yakovlev
2022-05-05 12:01 Jakov Smolić
2022-03-27 2:33 Sam James
2022-03-18 12:26 Arthur Zamarin
2022-03-15 16:27 Sam James
2021-11-20 7:32 Georgy Yakovlev
2021-11-20 7:28 Agostino Sarubbo
2021-11-19 8:10 Agostino Sarubbo
2021-11-19 6:18 Arthur Zamarin
2021-11-19 2:43 Sam James
2021-07-22 22:25 Marek Szuba
2021-07-10 2:12 Georgy Yakovlev
2020-11-24 6:06 Georgy Yakovlev
2020-03-31 10:01 Agostino Sarubbo
2020-03-31 7:23 Georgy Yakovlev
2020-03-31 7:18 Agostino Sarubbo
2020-01-08 11:27 Georgy Yakovlev
2018-10-13 22:02 Patrice Clement
2018-10-03 5:15 Georgy Yakovlev
2018-10-01 3:54 Benda XU
2018-09-24 18:48 Mikle Kolyada
2018-04-23 14:50 Aaron Bauman
2018-04-05 21:33 Michał Górny
2018-04-05 21:33 Michał Górny
2018-04-05 21:33 Michał Górny
2017-11-21 18:00 Manuel Rüger
2017-05-28 21:18 Manuel Rüger
2016-08-06 13:34 Manuel Rüger
2016-08-06 13:27 Manuel Rüger
2016-03-15 15:27 Agostino Sarubbo
2016-03-06 12:58 Agostino Sarubbo
2016-02-15 23:22 Manuel Rüger
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1468708288.5e6ece10d1bfd543d0435bcae5cf548adf02ab0c.mrueg@gentoo \
--to=mrueg@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox